/*
 *	rs2form.h
 *		Copyright (C)2002, 2003 Shingo Endo <s-endo@yk.rim.or.jp>
 */

#ifndef RS2FORM_H
#define RS2FORM_H

typedef struct formdata_tag
{
	struct
	{
		int targeted_rate;				/* _闦 */
		int increase_speed;				/* fC */
		int flag_defense_before;		/* sOh */
		int flag_defense_after;			/* sh */
		int flag_attack_long_distance;	/* ߋŌ{[iX */
		int flag_attack_short_distance;	/* Ō{[iX */
		int flag_attack_magic;			/* pU{[iX */
	} pos[5];
} formdata_t;

const char *form_getname(int index);
formdata_t *form_readdata(void);
int form_writedata(const char *ptr_filename, const formdata_t *ptr_formdata);

#endif /* RS2FORM_H */
