/*
 *	rs3tech.h
 *		Copyright (C)2002 Shingo Endo <s-endo@yk.rim.or.jp>
 */

#ifndef RS3TECH_H
#define RS3TECH_H

typedef struct techdata_tag
{
	int point;					/* |Cg */
	int tech_evade_level;		/* ؂背x */
	int flag_derivative;		/* hɂM\ǂtO */
	int flag_learn_evade;		/* ؂Z̑M\ǂtO */
	unsigned long bits_learn;	/* ZM̓K邩ȂtO */
} techdata_t;

typedef struct techlearnlevel_tag
{
	int tech_no;		/* MZ̔ԍ */
	int tech_level;		/* Mx */
} techlearnlevel_t;

typedef struct techderivative_tag
{
	int tech_no_source;					/* h̋Z̔ԍ */
	int count;							/* MZf[^̐ */
	techlearnlevel_t *ptr_learnlevel;	/* MZf[^ */
} techderivative_t;

typedef struct techlearn_tag
{
	int count;							/* hp^[f[^̐ */
	techderivative_t *ptr_derivative;	/* hp^[f[^ */
} techlearn_t;

const char *tech_getname(int index);
techdata_t *tech_readdata(void);
techlearn_t *tech_readlearn(void);
int tech_writeparam(const char *ptr_filename, const techdata_t *ptr_techdata);
int tech_writelearnflag(const char *ptr_filename, const techdata_t *ptr_techdata);
int tech_writelearndata(const char *ptr_filename, const techlearn_t *ptr_techlearn);
int tech_writeevadedata(const char *ptr_filename, const techdata_t *ptr_techdata);
void tech_freelearn(techlearn_t *ptr_techlearn);

#endif /* RS3TECH_H */
